diff --git a/.checkpackageignore b/.checkpackageignore
index c6c3c61320..b296f641f5 100644
--- a/.checkpackageignore
+++ b/.checkpackageignore
@@ -1561,7 +1561,6 @@ package/ushare/0001-Don-t-build-po-files-if-NLS-is-disabled.patch Upstream
 package/ussp-push/0001-fix-build-against-bluez-4.patch Upstream
 package/ussp-push/0002-fix-build-again-obex-bluez.patch Upstream
 package/ussp-push/0003-add-OBEX_CharToUnicode.patch Upstream
-package/util-linux/0001-lsns-improve-dependence-on-NS_GET_-ioctls.patch Upstream
 package/vala/0001-dont-add-dirty-to-valac-version.patch Upstream
 package/vala/vala-wrapper Shellcheck
 package/valgrind/0001-workaround-SIGSEGV-on-PPC.patch Upstream
diff --git a/package/util-linux/0001-lsns-improve-dependence-on-NS_GET_-ioctls.patch b/package/util-linux/0001-lsns-improve-dependence-on-NS_GET_-ioctls.patch
deleted file mode 100644
index 8e79b8d4d3..0000000000
--- a/package/util-linux/0001-lsns-improve-dependence-on-NS_GET_-ioctls.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-From fc686823b008bc95e2ebe904c706a117a03e2754 Mon Sep 17 00:00:00 2001
-From: Karel Zak <kzak@redhat.com>
-Date: Wed, 6 Apr 2022 10:38:43 +0200
-Subject: lsns: improve dependence on NS_GET_ ioctls
-
-Fixes: http://autobuild.buildroot.org/results/572ecf8e37ac733a4e4265f4f78f35230337278e
-Reported-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
-Signed-off-by: Karel Zak <kzak@redhat.com>
-
-[Retrieved from:
-https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/commit/?id=fc686823b008bc95e2ebe904c706a117a03e2754]
-Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
----
- sys-utils/lsns.c | 4 +++-
- 1 file changed, 3 insertions(+), 1 deletion(-)
-
-diff --git a/sys-utils/lsns.c b/sys-utils/lsns.c
-index 1a7e9f333..75625b3a6 100644
---- a/sys-utils/lsns.c
-+++ b/sys-utils/lsns.c
-@@ -40,7 +40,9 @@
- 
- #ifdef HAVE_LINUX_NSFS_H
- # include <linux/nsfs.h>
--# define USE_NS_GET_API	1
-+# if defined(NS_GET_NSTYPE) && defined(NS_GET_OWNER_UID)
-+#  define USE_NS_GET_API	1
-+# endif
- #endif
- 
- #include "pathnames.h"
--- 
-cgit 
-
diff --git a/package/util-linux/util-linux.hash b/package/util-linux/util-linux.hash
index 6f1bb74ecb..ab1807a287 100644
--- a/package/util-linux/util-linux.hash
+++ b/package/util-linux/util-linux.hash
@@ -1,7 +1,7 @@
-# From https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.38/sha256sums.asc
-sha256  6d111cbe4d55b336db2f1fbeffbc65b89908704c01136371d32aa9bec373eb64  util-linux-2.38.tar.xz
+# From https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.39/sha256sums.asc
+sha256  32b30a336cda903182ed61feb3e9b908b762a5e66fe14e43efb88d37162075cb  util-linux-2.39.tar.xz
 # License files, locally calculated
-sha256  869660b5269f4f40a8a679da7f403ea3a6e71d46087aab5e14871b09bcb55955  README.licensing
+sha256  64dfeae1519bf0e27563d905a71264310fb6a8fa74e5cf99bb36e4d30d7ef455  README.licensing
 sha256  9b718a9460fed5952466421235bc79eb49d4e9eacc920d7a9dd6285ab8fd6c6d  Documentation/licenses/COPYING.BSD-3-Clause
 sha256  ba7640f00d93e72e92b94b9d71f25ec53bac2f1682f5c4adcccb0018359f60f8  Documentation/licenses/COPYING.BSD-4-Clause-UC
 sha256  8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643  Documentation/licenses/COPYING.GPL-2.0-or-later
diff --git a/package/util-linux/util-linux.mk b/package/util-linux/util-linux.mk
index 87ec3c19d7..621e43ba79 100644
--- a/package/util-linux/util-linux.mk
+++ b/package/util-linux/util-linux.mk
@@ -7,7 +7,7 @@
 # When making changes to this file, please check if
 # util-linux-libs/util-linux-libs.mk needs to be updated accordingly as well.
 
-UTIL_LINUX_VERSION_MAJOR = 2.38
+UTIL_LINUX_VERSION_MAJOR = 2.39
 UTIL_LINUX_VERSION = $(UTIL_LINUX_VERSION_MAJOR)
 UTIL_LINUX_SOURCE = util-linux-$(UTIL_LINUX_VERSION).tar.xz
 UTIL_LINUX_SITE = $(BR2_KERNEL_MIRROR)/linux/utils/util-linux/v$(UTIL_LINUX_VERSION_MAJOR)
@@ -15,7 +15,13 @@ UTIL_LINUX_SITE = $(BR2_KERNEL_MIRROR)/linux/utils/util-linux/v$(UTIL_LINUX_VERS
 # README.licensing claims that some files are GPL-2.0 only, but this is not
 # true. Some files are GPL-3.0+ but only in tests and optionally in hwclock
 # (but we disable that option). rfkill uses an ISC-style license.
-UTIL_LINUX_LICENSE = GPL-2.0+, BSD-4-Clause, LGPL-2.1+ (libblkid, libfdisk, libmount), BSD-3-Clause (libuuid), ISC (rfkill)
+UTIL_LINUX_LICENSE = \
+	GPL-2.0+, \
+	BSD-4-Clause, \
+	LGPL-2.1+ (libblkid, libfdisk, libmount), \
+	BSD-3-Clause (libuuid), \
+	BSD-2-Clause (xxhash), \
+	ISC (rfkill)
 UTIL_LINUX_LICENSE_FILES = README.licensing \
 	Documentation/licenses/COPYING.BSD-3-Clause \
 	Documentation/licenses/COPYING.BSD-4-Clause-UC \