diff --git a/.checkpackageignore b/.checkpackageignore
index 1b336ce7a3..43665df7e6 100644
--- a/.checkpackageignore
+++ b/.checkpackageignore
@@ -919,7 +919,6 @@ package/olsr/0003-pud-adapt-to-API-changes-in-gpsd-3-20.patch lib_patch.Upstream
 package/olsr/0005-lib-pud-src-gpsdclient.c-drop-handling-of-gpsdata-fi.patch lib_patch.Upstream
 package/olsr/0006-build-patch-for-gpsd-3-25.patch lib_patch.Upstream
 package/olsr/S50olsr Shellcheck lib_sysv.Indent lib_sysv.Variables
-package/omxplayer/0001-Update-Makefile-to-be-compatible-with-buildroot.patch lib_patch.Upstream
 package/open-plc-utils/0001-Remove-OWNER-and-GROUPS-parameters-to-install.patch lib_patch.Upstream
 package/open2300/0001-fix-makefile.patch lib_patch.Upstream
 package/openjdk/17.0.9+9/0001-Add-ARCv2-ISA-processors-support-to-Zero.patch lib_patch.Upstream
diff --git a/Config.in.legacy b/Config.in.legacy
index d00196e08b..87b7954cb8 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -146,6 +146,12 @@ endif
 
 comment "Legacy options removed in 2024.05"
 
+config BR2_PACKAGE_OMXPLAYER
+	bool "omxplayer removed"
+	select BR2_LEGACY
+	help
+	  Package was deprecated in 2020 and is broken with ffmpeg 6.x
+
 config BR2_PACKAGE_FLUTTER_GALLERY
 	bool "flutter-gallery removed"
 	select BR2_LEGACY
diff --git a/DEVELOPERS b/DEVELOPERS
index d78661cd60..ca73006c78 100644
--- a/DEVELOPERS
+++ b/DEVELOPERS
@@ -3231,7 +3231,6 @@ F:	package/mesa3d-headers/
 F:	package/nbd/
 F:	package/nut/
 F:	package/nvidia-driver/
-F:	package/omxplayer/
 F:	package/python-pyparsing/
 F:	package/pkg-download.mk
 F:	package/pkg-waf.mk
diff --git a/package/Config.in b/package/Config.in
index 0d31faf354..4fa0e541fe 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -44,7 +44,6 @@ menu "Audio and video applications"
 	source "package/multicat/Config.in"
 	source "package/musepack/Config.in"
 	source "package/ncmpc/Config.in"
-	source "package/omxplayer/Config.in"
 	source "package/on2-8170-libs/Config.in"
 	source "package/opus-tools/Config.in"
 	source "package/pipewire/Config.in"
diff --git a/package/omxplayer/0001-Update-Makefile-to-be-compatible-with-buildroot.patch b/package/omxplayer/0001-Update-Makefile-to-be-compatible-with-buildroot.patch
deleted file mode 100644
index 8f8bfad73e..0000000000
--- a/package/omxplayer/0001-Update-Makefile-to-be-compatible-with-buildroot.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-From 40bf9c0960becaf0e592cac901466af93f24e52b Mon Sep 17 00:00:00 2001
-From: Julius Kriukas <julius@kriukas.lt>
-Date: Fri, 1 Dec 2017 18:29:24 +0200
-Subject: [PATCH] Update Makefile to be compatible with buildroot
-
-- Append to existing CFLAGS instead of overwriting.
-- Remove cross-compilation specific options from CFLAGS, they will be
-  set by buildroot.
-- Remove local ffmpeg_compiled include, buildroot will build ffmpeg
-  separately.
-- Remove hard-coded dbus, freetype, rpi-firmware include paths, they
-  will be added by buildroot.
-
-Signed-off-by: Julius Kriukas <julius@kriukas.lt>
----
- Makefile | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/Makefile b/Makefile
-index 5f4e414..53fa1bc 100644
---- a/Makefile
-+++ b/Makefile
-@@ -1,10 +1,10 @@
--CFLAGS=-pipe -mfloat-abi=hard -mcpu=arm1176jzf-s -fomit-frame-pointer -mabi=aapcs-linux -mtune=arm1176jzf-s -mfpu=vfp -Wno-psabi -mno-apcs-stack-check -g -mstructure-size-boundary=32 -mno-sched-prolog
-+CFLAGS+=-fomit-frame-pointer -Wno-psabi -mno-apcs-stack-check -g -mstructure-size-boundary=32 -mno-sched-prolog
- CFLAGS+=-std=c++0x -D__STDC_CONSTANT_MACROS -D__STDC_LIMIT_MACROS -DTARGET_POSIX -DTARGET_LINUX -fPIC -DPIC -D_REENTRANT -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_CMAKE_CONFIG -D__VIDEOCORE4__ -U_FORTIFY_SOURCE -Wall -DHAVE_OMXLIB -DUSE_EXTERNAL_FFMPEG  -DHAVE_LIBAVCODEC_AVCODEC_H -DHAVE_LIBAVUTIL_OPT_H -DHAVE_LIBAVUTIL_MEM_H -DHAVE_LIBAVUTIL_AVUTIL_H -DHAVE_LIBAVFORMAT_AVFORMAT_H -DHAVE_LIBAVFILTER_AVFILTER_H -DHAVE_LIBSWRESAMPLE_SWRESAMPLE_H -DOMX -DOMX_SKIP64BIT -ftree-vectorize -DUSE_EXTERNAL_OMX -DTARGET_RASPBERRY_PI -DUSE_EXTERNAL_LIBBCM_HOST
- 
- LDFLAGS=-L$(SDKSTAGE)/opt/vc/lib/
--LDFLAGS+=-L./ -Lffmpeg_compiled/usr/local/lib/ -lc -lbrcmGLESv2 -lbrcmEGL -lbcm_host -lopenmaxil -lfreetype -lz -lasound
-+LDFLAGS+=-L./ -lc -lbrcmGLESv2 -lbrcmEGL -lbcm_host -lopenmaxil -lfreetype -lz -lasound
- 
--INCLUDES+=-I./ -Ilinux -Iffmpeg_compiled/usr/local/include/ -I /usr/include/dbus-1.0 -I /usr/lib/arm-linux-gnueabihf/dbus-1.0/include -I/usr/include/freetype2 -isystem$(SDKSTAGE)/opt/vc/include -isystem$(SDKSTAGE)/opt/vc/include/interface/vcos/pthreads
-+INCLUDES+=-I./ -Ilinux
- 
- DIST ?= omxplayer-dist
- STRIP ?= strip
--- 
-2.11.0
-
diff --git a/package/omxplayer/Config.in b/package/omxplayer/Config.in
deleted file mode 100644
index d2e4b5ace0..0000000000
--- a/package/omxplayer/Config.in
+++ /dev/null
@@ -1,36 +0,0 @@
-config BR2_PACKAGE_OMXPLAYER
-	bool "omxplayer"
-	depends on BR2_arm
-	depends on BR2_USE_MMU # dbus
-	depends on BR2_PACKAGE_FFMPEG_ARCH_SUPPORTS # ffmpeg
-	depends on BR2_INSTALL_LIBSTDCPP # boost
-	depends on BR2_TOOLCHAIN_HAS_THREADS # alsa-lib, boost, libusb
-	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_9 # libusb
-	depends on BR2_USE_WCHAR # boost
-	depends on BR2_PACKAGE_RPI_USERLAND
-	select BR2_PACKAGE_ALSA_LIB
-	select BR2_PACKAGE_BOOST
-	select BR2_PACKAGE_DBUS
-	select BR2_PACKAGE_FFMPEG
-	select BR2_PACKAGE_FFMPEG_AVRESAMPLE
-	select BR2_PACKAGE_FFMPEG_SWSCALE
-	select BR2_PACKAGE_FREETYPE
-	select BR2_PACKAGE_LIBIDN
-	select BR2_PACKAGE_LIBUSB
-	select BR2_PACKAGE_PCRE
-	select BR2_PACKAGE_ZLIB
-	help
-	  OMXPlayer is a commandline OMX player for the Raspberry
-	  Pi. It was developed as a testbed for the XBMC Raspberry PI
-	  implementation and is quite handy to use standalone.
-
-	  https://github.com/popcornmix/omxplayer
-
-comment "omxplayer needs rpi-userland and a toolchain w/ C++, threads, wchar, dynamic library, gcc >= 4.9"
-	depends on BR2_arm
-	depends on BR2_USE_MMU
-	depends on BR2_PACKAGE_FFMPEG_ARCH_SUPPORTS
-	depends on !BR2_PACKAGE_RPI_USERLAND
-	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_HAS_THREADS \
-		|| !BR2_USE_WCHAR || BR2_STATIC_LIBS \
-		|| !BR2_TOOLCHAIN_GCC_AT_LEAST_4_9
diff --git a/package/omxplayer/omxplayer.hash b/package/omxplayer/omxplayer.hash
deleted file mode 100644
index 5826c68d70..0000000000
--- a/package/omxplayer/omxplayer.hash
+++ /dev/null
@@ -1,6 +0,0 @@
-# Locally computed:
-sha1  a9106203f822fe88eb35980479f46a555086d4a7  omxplayer-f06235cc9690a6d58187514452df8cf8fcdaacec.tar.gz
-sha256  af2d9450f8947842ea8c401fe9f71eec444013ebbdee29f2ac828c9c493c1329  omxplayer-f06235cc9690a6d58187514452df8cf8fcdaacec.tar.gz
-
-# Hash for license file:
-sha256  60e78ba9f921bb06bcf957575245414b1577c9688a63ddd73bc65f9d48fe31c9  COPYING
diff --git a/package/omxplayer/omxplayer.mk b/package/omxplayer/omxplayer.mk
deleted file mode 100644
index 072274cdfc..0000000000
--- a/package/omxplayer/omxplayer.mk
+++ /dev/null
@@ -1,39 +0,0 @@
-################################################################################
-#
-# omxplayer
-#
-################################################################################
-
-OMXPLAYER_VERSION = f06235cc9690a6d58187514452df8cf8fcdaacec
-OMXPLAYER_SITE = $(call github,popcornmix,omxplayer,$(OMXPLAYER_VERSION))
-OMXPLAYER_LICENSE = GPL-2.0+
-OMXPLAYER_LICENSE_FILES = COPYING
-
-OMXPLAYER_DEPENDENCIES = \
-	host-pkgconf alsa-lib boost dbus ffmpeg freetype libidn libusb pcre \
-	rpi-userland zlib
-
-OMXPLAYER_EXTRA_CFLAGS = \
-	-DTARGET_LINUX -DTARGET_POSIX \
-	`$(PKG_CONFIG_HOST_BINARY) --cflags bcm_host` \
-	`$(PKG_CONFIG_HOST_BINARY) --cflags freetype2` \
-	`$(PKG_CONFIG_HOST_BINARY) --cflags dbus-1`
-
-# OMXplayer has support for building in Buildroot, but that
-# procedure is, well, tainted. Fix this by forcing the real,
-# correct values.
-OMXPLAYER_MAKE_ENV = \
-	SDKSTAGE=$(STAGING_DIR) \
-	$(TARGET_CONFIGURE_OPTS) \
-	STRIP=true \
-	CFLAGS="$(TARGET_CFLAGS) $(OMXPLAYER_EXTRA_CFLAGS)"
-
-define OMXPLAYER_BUILD_CMDS
-	$(OMXPLAYER_MAKE_ENV) $(MAKE) -C $(@D) omxplayer.bin
-endef
-
-define OMXPLAYER_INSTALL_TARGET_CMDS
-	$(INSTALL) -m 0755 -D $(@D)/omxplayer.bin $(TARGET_DIR)/usr/bin/omxplayer
-endef
-
-$(eval $(generic-package))