diff --git a/.checkpackageignore b/.checkpackageignore
index 778e3b865154..80445921444b 100644
--- a/.checkpackageignore
+++ b/.checkpackageignore
@@ -191,7 +191,6 @@ configs/microchip_sama5d2_icp_mmc_dev_defconfig lib_defconfig.ForceCheckHash
 configs/microchip_sama7g5ek_mmc_defconfig lib_defconfig.ForceCheckHash
 configs/microchip_sama7g5ek_mmc_dev_defconfig lib_defconfig.ForceCheckHash
 configs/minnowboard_max_defconfig lib_defconfig.ForceCheckHash
-configs/mx25pdk_defconfig lib_defconfig.ForceCheckHash
 configs/mx53loco_defconfig lib_defconfig.ForceCheckHash
 configs/mx6udoo_defconfig lib_defconfig.ForceCheckHash
 configs/nexbox_a95x_defconfig lib_defconfig.ForceCheckHash
diff --git a/DEVELOPERS b/DEVELOPERS
index d2b64ee5c6f4..f3b3a21b79fd 100644
--- a/DEVELOPERS
+++ b/DEVELOPERS
@@ -984,7 +984,6 @@ F:	configs/imx6ulpico_defconfig
 F:	configs/imx7d-sdb_defconfig
 F:	configs/imx7dpico_defconfig
 F:	configs/imx8mqevk_defconfig
-F:	configs/mx25pdk_defconfig
 F:	configs/mx51evk_defconfig
 F:	configs/mx53loco_defconfig
 F:	configs/mx6cubox_defconfig
diff --git a/board/freescale/imx25pdk/readme.txt b/board/freescale/imx25pdk/readme.txt
deleted file mode 100644
index 1aece6c9b3c1..000000000000
--- a/board/freescale/imx25pdk/readme.txt
+++ /dev/null
@@ -1,54 +0,0 @@
-**************************
-Freescale i.MX25 PDK board
-**************************
-
-This file documents the Buildroot support for the Freescale i.MX25 PDK board.
-
-Build
-=====
-
-First, configure Buildroot for the i.MX25 PDK board:
-
-  make mx25pdk_defconfig
-
-Build all components:
-
-  make
-
-You will find in output/images/ the following files:
-  - imx25-pdk.dtb
-  - rootfs.ext4
-  - rootfs.tar
-  - sdcard.img
-  - u-boot.imx
-  - zImage
-
-Create a bootable SD card
-=========================
-
-To determine the device associated to the SD card have a look in the
-/proc/partitions file:
-
-  cat /proc/partitions
-
-Buildroot prepares a bootable "sdcard.img" image in the output/images/
-directory, ready to be dumped on a SD card. Launch the following
-command as root:
-
-  dd if=output/images/sdcard.img of=/dev/<your-sd-device>
-
-*** WARNING! This will destroy all the card content. Use with care! ***
-
-For details about the medium image layout, see the definition in
-board/freescale/common/imx/genimage.cfg.template.
-
-Boot the i.MX25 PDK board
-=========================
-
-To boot your newly created system:
-- insert the SD card in the SD slot of the board;
-- put a USB cable into the Debug USB Port and connect using a terminal
-  emulator at 115200 bps, 8n1;
-- power on the board.
-
-Enjoy!
diff --git a/configs/mx25pdk_defconfig b/configs/mx25pdk_defconfig
deleted file mode 100644
index ec4f8b8289d7..000000000000
--- a/configs/mx25pdk_defconfig
+++ /dev/null
@@ -1,35 +0,0 @@
-# Architecture
-BR2_arm=y
-BR2_arm926t=y
-
-# Linux headers same as kernel, a 4.15 series
-BR2_PACKAGE_HOST_LINUX_HEADERS_CUSTOM_4_15=y
-
-# System
-BR2_TARGET_GENERIC_GETTY_PORT="ttymxc0"
-
-# required tools to create the SD card image
-BR2_PACKAGE_HOST_DOSFSTOOLS=y
-BR2_PACKAGE_HOST_GENIMAGE=y
-BR2_PACKAGE_HOST_MTOOLS=y
-
-# Filesystem
-BR2_ROOTFS_POST_IMAGE_SCRIPT="board/freescale/common/imx/post-image.sh"
-BR2_TARGET_ROOTFS_EXT2=y
-BR2_TARGET_ROOTFS_EXT2_4=y
-
-# Bootloader
-BR2_TARGET_UBOOT=y
-BR2_TARGET_UBOOT_BOARDNAME="mx25pdk"
-BR2_TARGET_UBOOT_CUSTOM_VERSION=y
-BR2_TARGET_UBOOT_CUSTOM_VERSION_VALUE="2018.01"
-BR2_TARGET_UBOOT_FORMAT_IMX=y
-
-# Kernel
-BR2_LINUX_KERNEL=y
-BR2_LINUX_KERNEL_CUSTOM_VERSION=y
-BR2_LINUX_KERNEL_CUSTOM_VERSION_VALUE="4.15.7"
-BR2_LINUX_KERNEL_DEFCONFIG="imx_v4_v5"
-BR2_LINUX_KERNEL_DTS_SUPPORT=y
-BR2_LINUX_KERNEL_INTREE_DTS_NAME="imx25-pdk"
-BR2_LINUX_KERNEL_NEEDS_HOST_OPENSSL=y
diff --git a/package/freescale-imx/Config.in b/package/freescale-imx/Config.in
index 6d196a052dae..05a358723545 100644
--- a/package/freescale-imx/Config.in
+++ b/package/freescale-imx/Config.in
@@ -10,9 +10,6 @@ if BR2_PACKAGE_FREESCALE_IMX
 choice
 	prompt "i.MX platform"
 
-config BR2_PACKAGE_FREESCALE_IMX_PLATFORM_IMX25_3STACK
-	bool "imx25-3stack"
-
 config BR2_PACKAGE_FREESCALE_IMX_PLATFORM_IMX27ADS
 	bool "imx27ads"
 
diff --git a/package/freescale-imx/firmware-imx/Config.in b/package/freescale-imx/firmware-imx/Config.in
index 4a9986448f8b..7d27c8e14b07 100644
--- a/package/freescale-imx/firmware-imx/Config.in
+++ b/package/freescale-imx/firmware-imx/Config.in
@@ -14,7 +14,6 @@ if BR2_PACKAGE_FIRMWARE_IMX
 
 config BR2_PACKAGE_FIRMWARE_IMX_SDMA_FW_NAME
 	string
-	default "imx25" if BR2_PACKAGE_FREESCALE_IMX_PLATFORM_IMX25_3STACK
 	default "imx51" if BR2_PACKAGE_FREESCALE_IMX_PLATFORM_IMX51
 	default "imx53" if BR2_PACKAGE_FREESCALE_IMX_PLATFORM_IMX53
 	default "imx6q" if BR2_PACKAGE_FREESCALE_IMX_PLATFORM_IMX6Q